Bug 1019937 - krb5-libs should own /etc/gss directory
krb5-libs should own /etc/gss directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 12:15 EDT by David Woodhouse
Modified: 2013-11-11 19:27 EST (History)
2 users (show)

See Also:
Fixed In Version: krb5-1.11.3-29.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:27:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-10-16 12:15:48 EDT
The GSSAPI library libgssapi_krb5.so.2 will look in /etc/gss/mech to see if any mechanisms other than Kerberos are configured.

Packages such as gssntlmssp (review bug 1018588) want to drop files into that directory, and review guidelines highlight /etc/gss as an unowned directory.

It should be owned by krb5-libs.

Although actually we want a /etc/gss/mech.d directory into which various files can be dropped, rather than relying on manual editing (or symlinking, or whatever) of a single config file. That's a more complex issue though...
Comment 1 Fedora Update System 2013-10-24 12:19:09 EDT
krb5-1.11.3-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/krb5-1.11.3-10.fc19
Comment 2 Fedora Update System 2013-10-25 20:55:04 EDT
krb5-1.11.3-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-11-04 13:57:28 EST
krb5-1.11.3-27.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/krb5-1.11.3-27.fc20
Comment 4 Fedora Update System 2013-11-05 14:58:12 EST
Package krb5-1.11.3-29.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing krb5-1.11.3-29.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20687/krb5-1.11.3-27.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-11 19:27:50 EST
krb5-1.11.3-29.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.